Foreman - Bug #6641

Jenkins is not loading gems, leading to test failures
07/16/2014 12:18 PM - Greg Sutcliffe

Status: Closed
Priority: Urgent
Assignee: Greg Sutcliffe
Category: Tests
Target version: 1.6.0
Difficulty: easy Fixed in Releases:
Triaged: Found in Releases: Nightly
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/1591
Description

Seems like on Jenkins we're getting
NameError: uninitialized constant Fog::Compute: :AWS

But locally it's passing. The difference in Gemfile.lock files seems to indicate Jenkins is not requiring all the fog gems for some
reason:

$ diff
bu—Gemfitetockworks—Gemfitetockworksnet
(A |l JHERY
tdevetopi
— Gemfile.lock.works 2014-07-16 16:56:33.837052589 0100
++ Gemfile.lock.worksnot 2014-07-16 17:05:10.061433422 +0100

@ -82,13 +82,7 @
flot-rails (0.0.3)
jquery-rails
fog (1.21.0)
= fog-brightbox
= fog-core (, 1.21, »>=1.21.1)

= fog-json

adeeEE (© oDy 2 Lo8.dd)
. fog-brightbox (0.0.2)
= fog-core
= fog-Jjson
fog-core (1.21.1)
builder
excon (~> 0.32)

| don't know why it's not picking up fog-json and fog-brightbox, so I'll enable explicitly for now

Associated revisions

Revision f16e76bf - 07/16/2014 05:21 PM - Greg Sutcliffe
Fixes #6641 - Explcitly add fog-json and fog-brightbox for jenkins

Revision 241590e5 - 07/18/2014 09:32 AM - Greg Sutcliffe
Refs #6641 - Revert "Explcitly add fog-json and fog-brightbox for jenkins"
This reverts commit f16e76bfa3fd08404a17c45bef2bOb7cbadefe56. Looks like

the issues with Jenkins were due to a Bundler APl issue, see
http://bundler.io/blog/2014/07/16/bundler-api-outages.html for details.

History

#1 - 07/16/2014 12:20 PM - The Foreman Bot
http://bundler.io/blog/2014/07/16/bundler-api-outages.html

- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/1591 added
- Pull request deleted ()

#2 - 07/16/2014 06:02 PM - Greg Sutcliffe
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset {16e76bfa3fd08404a17c45bef2b0b7cbadefe56.

#3 - 07/21/2014 04:49 AM - Dominic Cleal

- translation missing: en.field_release set to 10
